ISDNRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class ISDNRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.ISDNRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class ISDNRecord
      extends Record

  ISDN - identifies the ISDN number and subaddress associated with a name.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISDNRecord(Name name, int dclass, long ttl, String address, String subAddress)` Creates an ISDN Record from the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAddress()` Returns the ISDN number associated with the domain.
    `String` | `getSubAddress()` Returns the ISDN subaddress, or null if there is none.

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ISDNRecord

          public ISDNRecord(Name name,
                    int dclass,
                    long ttl,
                    String address,
                    String subAddress)

      Creates an ISDN Record from the given data
      Parameters:
        `address` - The ISDN number associated with the domain.
        `subAddress` - The subaddress, if any.
      Throws:
        `IllegalArgumentException` - One of the strings is invalid.

  - ### Method Detail

    - #### getAddress

          public String getAddress()

      Returns the ISDN number associated with the domain.

    - #### getSubAddress

          public String getSubAddress()

      Returns the ISDN subaddress, or null if there is none.